/*
 * Copyright (c) Haulmont 2023. All Rights Reserved.
 * Use is subject to license terms.
 */

import Modeler from 'bpmn-js/lib/Modeler';
import FlowableBpmnModdle from './resources/flowable.json.js';
import BpmBpmnModdle from './resources/jmix-bpmn.json.js';
import BpmRenderer from './js/features/bpm-renderer';
import BpmReplaceMenuProvider from './js/features/bpm-popup-menu';
import BpmModelingModule from './js/features/bpm-modeling';
import BpmContextPadProvider from "./js/features/context-pad/index";
import inherits from 'inherits';

export default function BpmModeler(options) {
    Modeler.call(this, options);
}

inherits(BpmModeler, Modeler);

BpmModeler.prototype._customModules = [
    BpmModelingModule,
    BpmRenderer,
    BpmReplaceMenuProvider,
    BpmContextPadProvider

];

BpmModeler.prototype._modules = [].concat(
    Modeler.prototype._modules,
    BpmModeler.prototype._customModules
);


BpmModeler.prototype._moddleExtensions = {
    flowable: FlowableBpmnModdle,
    jmix: BpmBpmnModdle
};