'use strict';

const CmdHelper = {};

export default CmdHelper;

CmdHelper.updateProperties = function(element, properties) {
    return {
        cmd: 'element.updateProperties',
        context: { element: element, properties: properties }
    };
};

CmdHelper.updateModdleProperties = function(element, properties) {
    return {
        cmd: 'element.updateModdleProperties',
        context: {
            element: element,
            moddleElement: element,
            properties: properties
        }
    };
};

CmdHelper.updateBusinessObject = function(element, businessObject, newProperties) {
    return {
        cmd: 'bpm-modeler.update-businessobject',
        context: {
            element: element,
            businessObject: businessObject,
            properties: newProperties
        }
    };
};


CmdHelper.addElementsToList = function(element, businessObject, listPropertyName, objectsToAdd) {
    return {
        cmd: 'bpm-modeler.update-businessobject-list',
        context: {
            element: element,
            currentObject: businessObject,
            propertyName: listPropertyName,
            objectsToAdd: objectsToAdd
        }
    };
};

CmdHelper.removeElementsFromList = function(element, businessObject, listPropertyName, referencePropertyName, objectsToRemove) {
    return {
        cmd: 'bpm-modeler.update-businessobject-list',
        context: {
            element: element,
            currentObject: businessObject,
            propertyName: listPropertyName,
            referencePropertyName: referencePropertyName,
            objectsToRemove: objectsToRemove
        }
    };
};

CmdHelper.setList = function(element, businessObject, listPropertyName, updatedObjectList) {
    return {
        cmd: 'bpm-modeler.update-businessobject-list',
        context: {
            element: element,
            currentObject: businessObject,
            propertyName: listPropertyName,
            updatedObjectList: updatedObjectList
        }
    };
};
