/**
 * Patching trick for popup menu back compatibility with 8.6 version of bpmn.js.
 *
 * This patch replace list entry return value instead of map entry. This patch fixes error inside bpmn js with jmix modules,
 * when shadow dom represents list instead of map entry.
 *
 * @since      12.2.0 bpmn.js
 *
 * @param {PopupMenu}   popupMenu popup menu to patch
 */
export function doPatchGetEntry(popupMenu) {
    popupMenu._getEntry = _getEntryPatched
}

function _getEntryPatched(entryId) {
    let entry = this._current.entries.filter(entry => entry.id === entryId).at(0)
        || this._current.headerEntries.filter(entry => entry.id === entryId).at(0);

    if (!entry) {
        throw new Error('entry not found');
    }

    return entry;
}