const jmixBpmnJson = {
    "name": "Jmix BPM",
    "uri": "http://jmix.io/schema/bpm/bpmn",
    "prefix": "jmix",
    "xml": {
        "tagAlias": "lowerCase"
    },
    "types": [
        {
            "name": "BpmAssignable",
            "extends": ["bpmn:UserTask"],
            "properties": [
                {
                    "name": "assigneeSource",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "assigneeValue",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateGroupsSource",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateGroupsValue",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateUsersSource",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateUsersValue",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "FormData",
            "superClass": ["Element"],
            "meta": {
                "allowedIn": [
                    "bpmn:UserTask",
                    "bpmn:StartEvent"
                ]
            },
            "properties": [
                {
                    "name": "type",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "openMode",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "screenId",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "businessKey",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "formParams",
                    "type": "FormParams"
                },
                {
                    "name": "formFields",
                    "type": "FormFields"
                },
                {
                    "name": "formOutcomes",
                    "type": "FormOutcomes"
                }
            ]
        },
        {
            "name": "FormFields",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "values",
                    "type": "FormField",
                    "isMany": true
                }
            ]
        },
        {
            "name": "FormField",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "id",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "caption",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "type",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "editable",
                    "isAttr": true,
                    "type": "Boolean"
                },
                {
                    "name": "required",
                    "isAttr": true,
                    "type": "Boolean"
                },
                {
                    "name": "properties",
                    "type": "FormFieldProperty",
                    "isMany": true
                },
                {
                    "name": "enumValues",
                    "type": "FormFieldEnumValue",
                    "isMany": true
                }
            ]
        },
        {
            "name": "FormFieldProperty",
            "superClass": [
                "Element"
            ],
            "properties": [
                {
                    "name": "name",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "value",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "system",
                    "type": "Boolean",
                    "isAttr": true
                }
            ]
        },
        {
            "name": "FormFieldEnumValue",
            "superClass": [
                "Element"
            ],
            "properties": [
                {
                    "name": "value",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "caption",
                    "type": "String",
                    "isAttr": true
                }
            ]
        },
        {
            "name": "FormParams",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "values",
                    "type": "FormParam",
                    "isMany": true
                }
            ]
        },
        {
            "name": "FormParam",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "name",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "value",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "valueSource",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "FormOutcomes",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "values",
                    "type": "FormOutcome",
                    "isMany": true
                }
            ]
        },
        {
            "name": "FormOutcome",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "id",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "caption",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "icon",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "outcomeParams",
                    "type": "OutcomeParam",
                    "isMany": true
                }
            ]
        },
        {
            "name": "OutcomeParam",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "name",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "value",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "ConditionDetails",
            "superClass": ["Element"],
            "meta": {
                "allowedIn": [
                    "bpmn:SequenceFlow"
                ]
            },
            "properties": [
                {
                    "name": "conditionSource",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "conditionType",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "userTaskId",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "userTaskOutcome",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "businessRuleTaskId",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "decisionTableOutputVariableName",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "decisionTableOutputValue",
                    "type": "String",
                    "isAttr": true
                }
            ]
        },
        {
            "name": "BpmServiceTask",
            "extends": ["bpmn:ServiceTask"],
            "properties": [
                {
                    "name": "taskType",
                    "isAttr": true,
                    "type": "String"
                }, {
                    "name": "beanName",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "SpringBean",
            "superClass": ["Element"],
            "meta": {
                "allowedIn": [
                    "bpmn:ServiceTask"
                ]
            },
            "properties": [
                {
                    "name": "beanName",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "methodName",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "methodParams",
                    "type": "MethodParam",
                    "isMany": true
                }
            ]
        },
        {
            "name": "MethodParam",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "name",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "type",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "value",
                    "isBody": true,
                    "type": "String"
                },
                {
                    "name": "isVariable",
                    "isAttr": true,
                    "type": "Boolean"
                }
            ]
        },
        {
            "name": "BpmMultiInstanceLoopCharacteristics",
            "isAbstract": true,
            "extends": ["bpmn:MultiInstanceLoopCharacteristics"],
            "properties": [
                {
                    "name": "collectionSource",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "collectionValue",
                    "type": "String",
                    "isAttr": true
                }
            ]
        },
        {
            "name": "ProcessVariables",
            "superClass": ["Element"],
            "meta": {
                "allowedIn": [
                    "bpmn:StartEvent"
                ]
            },
            "properties": [
                {
                    "name": "values",
                    "type": "ProcessVariable",
                    "isMany": true
                }
            ]
        },
        {
            "name": "ProcessVariable",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "name",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "type",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "properties",
                    "type": "ProcessVariableProperty",
                    "isMany": true
                }
            ]
        },
        {
            "name": "ProcessVariableProperty",
            "superClass": [
                "Element"
            ],
            "properties": [
                {
                    "name": "name",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "value",
                    "type": "String",
                    "isAttr": true
                }
            ]
        },
        {
            "name": "AssignmentDetails",
            "superClass": ["Element"],
            "meta": {
                "allowedIn": [
                    "bpmn:Lane"
                ]
            },
            "properties": [
                {
                    "name": "assigneeSource",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "assigneeValue",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "assignee",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateUsers",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateUsersValue",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateUsersSource",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateGroups",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateGroupsValue",
                    "type": "String",
                    "isAttr": true
                },
                {
                    "name": "candidateGroupsSource",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "BpmProcess",
            "isAbstract": true,
            "extends": [
                "bpmn:Process"
            ],
            "properties": [
                {
                    "name": "candidateGroupsSource",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateStarterGroupsValue",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateUsersSource",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "candidateStarterUsersValue",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        },
        {
            "name": "Properties",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "values",
                    "type": "Property",
                    "isMany": true
                }
            ]
        },
        {
            "name": "Property",
            "superClass": ["Element"],
            "properties": [
                {
                    "name": "name",
                    "isAttr": true,
                    "type": "String"
                },
                {
                    "name": "value",
                    "isAttr": true,
                    "type": "String"
                }
            ]
        }
    ],
    "emumerations": [],
    "associations": []
}

export default jmixBpmnJson;