/*
 * Copyright (c) Haulmont 2023. All Rights Reserved.
 * Use is subject to license terms.
 */

export class ElementSelectionBpmEvent extends Event {
    public constructor(type: string, businessObjectJson: any) {
        super("ElementSelectionBpmEvent");
        this.$type = type;
        this.businessObject = JSON.stringify(businessObjectJson);
    }

    public businessObject: string;

    public $type: string;
}

export class BpmSchemaChangedEvent extends Event {
    private readonly _xmlSchema: string;

    public constructor(xmlSchema: string) {
        super("BpmSchemaChangedEvent");
        this._xmlSchema = xmlSchema;
    }

    public get xmlSchema(): string {
        return this._xmlSchema;
    }
}