/*
 * Copyright (c) Haulmont 2023. All Rights Reserved.
 * Use is subject to license terms.
 */

// @ts-ignore
import {LitElement} from "lit";
// @ts-ignore
import Modeler from "bpmn-js/lib/Modeler";
import {BpmSchemaChangedEvent} from "./events";

export default function schemaChangedEventHandler(element: LitElement, modeler: Modeler) {
    modeler.saveXML({format: true})
        .then(function (result) {
            element.dispatchEvent(new BpmSchemaChangedEvent(result.xml!));
        })
        .catch(err => console.error('could not save BPMN 2.0 diagram', err))
}